Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(28)

Issue 610723002: Sanitize SkMatrixConvolutionImageFilter creation params. (Closed)

Created:
5 years, 9 months ago by Stephen White
Modified:
5 years, 9 months ago
Reviewers:
reed1
CC:
reviews_skia.org
Base URL:
https://skia.googlesource.com/skia.git@master
Project:
skia
Visibility:
Public.

Description

Sanitize SkMatrixConvolutionImageFilter creation params. Apply the same memory limit in the Create() function that we do when deserializing. Committed: https://skia.googlesource.com/skia/+/3a49520696b2eca69e57884657d23fd2402ccfd1

Patch Set 1 #

Patch Set 2 : Add test. #

Patch Set 3 : Win32 fix #

Patch Set 4 : Fix style #

Unified diffs Side-by-side diffs Delta from patch set Stats (+86 lines, -10 lines) Patch
M include/effects/SkMatrixConvolutionImageFilter.h View 1 chunk +1 line, -5 lines 0 comments Download
M src/effects/SkMatrixConvolutionImageFilter.cpp View 1 2 3 4 chunks +31 lines, -5 lines 0 comments Download
M tests/ImageFilterTest.cpp View 1 1 chunk +54 lines, -0 lines 0 comments Download

Messages

Total messages: 12 (4 generated)
Stephen White
reed@: PTAL. Thanks!
5 years, 9 months ago (2014-09-26 22:55:36 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/610723002/1
5 years, 9 months ago (2014-09-28 17:08:32 UTC) #4
commit-bot: I haz the power
Note for Reviewers: The CQ is waiting for an approval. If you believe that the ...
5 years, 9 months ago (2014-09-28 17:08:33 UTC) #5
commit-bot: I haz the power
Presubmit check for 610723002-1 failed and returned exit status 1. Running presubmit commit checks ...
5 years, 9 months ago (2014-09-28 17:08:37 UTC) #7
reed1
lgtm
5 years, 9 months ago (2014-09-29 12:39:05 UTC) #8
Stephen White
PTAL: added test and a Win32 fix.
5 years, 9 months ago (2014-09-29 14:33:59 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/610723002/60001
5 years, 9 months ago (2014-09-29 14:43:49 UTC) #11
commit-bot: I haz the power
5 years, 9 months ago (2014-09-29 14:57:24 UTC) #12
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as 3a49520696b2eca69e57884657d23fd2402ccfd1

Powered by Google App Engine
This is Rietveld 408576698